For the complete documentation index, see llms.txt. You can also append .md to any page URL to get its markdown version.
Skip to main content
For the complete documentation index, see llms.txt.

For the complete documentation index, see llms.txt

Quick start guide

Learn how to get started quickly with Verify through the Verify API.

This guide will walk you through the essential steps to integrate with the Signicat Verify API. You will learn how to create an identity verification session, initiate the end-user verification flow on a mobile device, and retrieve the results.

This quick start guide focuses on the backend integration. You will also need to integrate our Identity SDK into your native mobile application. For more details, see the SDK guide.

Overview of the Verify flow​

The identity verification process involves both your backend service and the end-user's mobile device, orchestrated by the Verify API.

  1. Your backend system requests a unique sdkToken from the Verify API.
  2. Your backend system passes the sessionId and sdkToken to your mobile application.
  3. Your mobile application uses both values to initialise the Verify SDK, which guides the end-user through the required steps (e.g., video-based ID document and biometric checks and the NFC reading of the ID document chip).
  4. The SDK provides real-time feedback to the end-user. Once the end-user identity verification process is complete, the API processes the data asynchronously.
  5. Signicat sends a notification to your webhook when the verification result is ready.
  6. Your backend system retrieves the detailed results and evidence from the API.

Before you start​

Before you start the integration, ensure you have:

Connect to the Verify API​

To authenticate to Signicat APIs from your backend, follow the Connect to Signicat APIs quick start guide. That guide explains how to create API client credentials, request an access token with the OAuth 2.0 client credentials flow, and call Signicat APIs with a bearer token.

Product access​

Ensure your API client has the right permissions to the Verify product. Only an administrator in your organisation can add this permission (see Managing roles and permissions).

Your administrator sets the permissions on the API client Permissions tab, by clicking the Select product button and then selecting the Verify API checkbox from the product list page.

Choose template​

A template is a predefined verification journey that you can enable for your account. Choice of template depends on your requirements for compliance, Level of Assurance (LoA), and supported ID documents

Signicat will set up the template for you. To get help with this, contact one of our onboarding managers at onboarding@signicat.com.

See also the Templates overview page for more details about the available templates.

Profile ID​

For the complete documentation index, see llms.txt

A profile is a specific configuration of the product. For example, you can use a profile to adjust the product to a specific region or country by setting the user interface language, allowed ID document types etc.

Important about profiles

For the initial product version, you cannot customise the profile. Signicat will set up and pre-configure a default profile for Verify. Please, contact one of our onboarding managers at onboarding@signicat.com.

Webhook configuration​

To receive real-time updates about the session status, you should configure a webhook. To learn how to set up a webhook subscription, see the Events and webhooks section. Your backend system should prepare to receive notifications when a session is completed.

Integration steps​

1. Obtain an access token​

Use the above client credentials to obtain an access token. You will use this access token in the Authorization header for subsequent API calls.

Want to learn more?

To learn how to do this, see the Obtain an access token section in the Connect to Signicat APIs quick start guide.

2. Create a session token​

To start the identity verification process, your backend system must create a session token. This is done by sending a POST request to the /id-proofing/verify/sessions/token endpoint.

For the complete documentation index, see llms.txt

Always communicate through a server

Your mobile app must always communicate through your own server and never directly with the Verify API.

In the request body, you must specify:

  • The profileId value you want to use. For the initial release, Signicat will provide you with this value. Please, contact one of our onboarding managers at onboarding@signicat.com.
  • The user's platform, either native (for native mobile apps) or web (for web content). Currently, only native is supported.

Example request:

POST https://<SIGNICAT_API_BASE_URL>/id-proofing/verify/sessions/token
Authorization: Bearer <ACCESS_TOKEN>
Content-Type: application/json
Accept: application/json

{
"profileId": "<PROFILE_ID>",
"platform": "<PLATFORM>",
"reference": "<YOUR_REFERENCE>"
}

The API returns sessionId and sdkToken. Here is an example response:

{
"sessionId": "<SESSION_ID>",
"sdkToken": "<SDK_TOKEN>"
}

Pass both the sessionId and sdkToken values from your backend system to your mobile application.

Map the API response fields directly to the SDK input fields:

  • Android:
    • sessionId → IdProofing.Input.sessionId
    • sdkToken → IdProofing.Input.sdkToken
  • iOS:
    • sessionId → IDProofing.InputParams.sessionID
    • sdkToken → IDProofing.InputParams.sdkToken

3. Initiate the end-user flow​

In your mobile application, use the sessionId and sdkToken to initialise the Verify SDK. This will start the secure, end-user-facing verification flow. The SDK will guide the user through the identity verification steps, such as the video-based ID document and biometric checks and the NFC reading of the ID document chip.

For more details, see the SDK guide.

4. Get the results​

The identity verification process is asynchronous. Once the end-user completes the steps in the SDK, the Verify API processes the results in the background.

Configure a webhook to receive the verification result. When the session is complete, the API sends a notification to your configured webhook endpoint containing the sessionId and the session status. Once you receive this notification, send a GET request to /id-proofing/verify/sessions/{sessionId} to retrieve the session details and proceed to download evidence files if needed.

The possible values for session status are:

  • Not final: CREATED, IN_PROGRESS, PROCESSING
  • Final: SUCCEEDED, REJECTED, INCONCLUSIVE, FAILED, CANCELED, EXPIRED

5. Retrieve the evidence files (optional)​

After a session is completed, you can download the evidence, such as image and ID document data.

Availability

Evidence data is only retained and available to download for 30 days after a session is completed.

You can then send a GET request to the /id-proofing/verify/sessions/{sessionId}/evidence-files endpoint.